<h1>Cardápio</h1>


<form>
  <mat-card>
    <mat-card-content>
      <mat-form-field>
        <input matInput placeholder="Nome" name="nome" [(ngModel)]="status.nome">
      </mat-form-field>
    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button class="btnMyFood" (click)="salvarStatus()" color="primary">Salvar</button>
      <button mat-raised-button (click)="excluirStatus(status.id)" color="warn">Confimar exclusão</button>
    </mat-card-actions>
  </mat-card>
</form>


<table mat-table [dataSource]="dataSource" >

  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef> Id </th>
    <td mat-cell *matCellDef="let status"> {{status.id}} </td>
  </ng-container>
  
  <ng-container matColumnDef="nome">
    <th mat-header-cell *matHeaderCellDef> Nome </th>
    <td mat-cell *matCellDef="let status"> {{status.nome}} </td>
  </ng-container>
  
  <ng-container matColumnDef="acoes">
    <th mat-header-cell *matHeaderCellDef style="text-align: center; padding-right: 35px"> Ações </th>
    <td class="ultima-coluna" mat-cell *matCellDef="let status">
      <button (click)="buscarStatus(status.id)">Editar</button>
      <button (click)="buscarStatus(status.id)">Excluir</button>
    </td>
  </ng-container>
  
  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>